# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/glib-gettextize gcc-c++ pkgconfig(gtk+-2.0) pkgconfig(libglade-2.0)
# END SourceDeps(oneline)
%define fedora 19
Name:           synce-software-manager
Version:        0.9.0
Release:        alt1_19
Summary:        Software manager for use with synce

Group:          Communications
License:        MIT
URL:            http://synce.sourceforge.net/
Source0:        http://dl.sf.net/synce/synce-software-manager-0.9.0.tar.gz
Source1:        synce-software-manager.desktop
Patch1:         synce-software-manager-autotools.patch

BuildRequires:  librapi-devel
BuildRequires:  libxml2-devel
BuildRequires:  zlib-devel
BuildRequires:  pango-devel
BuildRequires:  gtk2-devel
BuildRequires:  gnome-vfs-devel
BuildRequires:  glib2-devel
BuildRequires:  libgnome-devel
BuildRequires:  libgnomeui-devel
BuildRequires:  libglade2-devel
BuildRequires:  atk-devel
BuildRequires:  libart_lgpl-devel
BuildRequires:  ORBit2-devel
BuildRequires:  desktop-file-utils
BuildRequires:  perl-XML-Parser
BuildRequires:  gettext
BuildRequires:  autoconf automake libtool intltool
Source44: import.info

%description
%{summary}

%prep
%setup -q
%patch1 -p1
libtoolize -f
autoreconf -f
intltoolize -f

%build
%configure --disable-static --with-librapi2-include=%{_includedir} \
--with-librapi2-lib=%{_libdir}
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install \
%if 0%{?fedora} && 0%{?fedora} < 19
  --vendor=fedora \
%endif
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category=X-Fedora \
  %{SOURCE1}

%find_lang %{name}

%files -f %{name}.lang
%doc ChangeLog COPYING
%{_bindir}/synce-software-manager
%{_datadir}/synce/synce_software_manager.glade
%{_datadir}/applications/*

%changelog
* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.0-alt1_19
- initial fc import

